class Admin::CoursesController < OrbitMemberController
  	include Admin::CoursesHelper
	layout "member_plugin"
	  before_action :set_course, only: [:show, :edit , :update, :destroy]
	  before_action :set_plugin
	  before_action :get_settings,:only => [:new, :edit, :setting]

	  before_action :need_access_right
	  before_action :allow_admin_only, :only => [:index, :setting]

	def index
    	@courses = Course.order_by(:created_at=>'desc').page(params[:page]).per(10)
	end

	def new
		@member = MemberProfile.find_by(:uid=>params['uid']) rescue nil
    	@course = Course.new
	end

	def create
		course = Course.create(course_params)
		redirect_to params[:referer_url]
	end
	
	def show
	end

	def analysis_report
	    role = params[:role_id]
	    year_start = params[:year_start].to_i
	    year_end = params[:year_end].to_i
	    graph_by = params[:graph_by]

	    @data = get_chart_data(year_start,year_end,role,params[:graph_by])

	    render :layout => false
	  end

	  def download_excel
	    year_start = params[:year_start].to_i
	    year_end = params[:year_end].to_i
	    @data = get_data_for_excel(year_start,year_end)
	    respond_to do |format|
	      format.xlsx {
	        response.headers['Content-Disposition'] = 'attachment; filename="courses.xlsx"'
	      }
	    end
  	end

	def edit
	end

	def destroy
		@course.destroy
		redirect_to admin_courses_path(:page => params[:page])
	end

	def update
		@course.update_attributes(course_params)
		@course.save
		redirect_to params[:referer_url]
	end

	def setting
  	end

  	def frontend_setting
    	@member = MemberProfile.find_by(:uid=>params['uid']) rescue nil
    	@intro = CourseIntro.find_by(:member_profile_id=>@member.id) rescue nil
    	@intro = @intro.nil? ? CourseIntro.new({:member_profile_id=>@member.id}) : @intro
  	end

  	def update_frontend_setting
	    @member = MemberProfile.find(intro_params['member_profile_id']) rescue nil
	    @intro = CourseIntro.find_by(:member_profile_id=>@member.id) rescue nil
	    @intro = @intro.nil? ? CourseIntro.new({:member_profile_id=>@member.id}) : @intro
	    @intro.update_attributes(intro_params)
	    @intro.save
	    redirect_to URI.encode('/admin/members/'+@member.to_param+'/Course')
  	end

  	def toggle_hide
  		if params[:ids]
	      @projects = Course.any_in(_id: params[:ids])

	      @projects.each do |project|
	        project.is_hidden = params[:disable]
	        project.save
	      end
    	end

   		render json: {"success"=>true}
  	end

	private 

	def course_params
		params.require(:course).permit!
	end

	def intro_params
    	params.require(:course_intro).permit! rescue nil
  	end
	
	def get_settings
	    @course_semesters = CourseSemester.all
	    @course_categories = CourseCategory.all.order_by(:sort_position => "asc")
	end

	def set_plugin
	    @plugin = OrbitApp::Plugin::Registration.all.select{|plugin| plugin.app_name.eql? 'Course'}.first
	end

	def set_course
	    path = request.path.split('/')
	    if path.last.include? '-'
	      uid = path[-1].split("-").last
	      uid = uid.split("?").first
	    else
	      uid = path[-2].split("-").last
	      uid = uid.split("?").first
	    end
	     @course = Course.find_by(:uid => uid) rescue Course.find(params[:id])
	end
end